import type { BaseText } from 'slate';
import { RenderLeafProps } from 'slate-react';
export declare type Select = 'SELECTED' | 'DESELECTED' | null;
export declare type HighlightLeafType = BaseText & {
    select: Select;
};
export declare const wrapperClassNameMapping: {
    SELECTED: string;
    DESELECTED: string;
};
export interface IHighlightLeaf extends Pick<RenderLeafProps, 'leaf' | 'attributes'> {
    children: (leaf: HighlightLeafType | BaseText) => JSX.Element;
}
export declare const HighlightLeaf: (props: IHighlightLeaf) => JSX.Element;
//# sourceMappingURL=highlightLeaf.d.ts.map