import { queries } from '@testing-library/dom';
import { ReactElement } from 'react';
import { RenderOptions, RenderResult as CoreRenderResult, Queries } from '@testing-library/react';
export declare type RenderResult<Q extends Queries = typeof queries> = CoreRenderResult<Q> & {
    getHostHTMLElement<E extends Element = HTMLElement>(): E;
};
export declare const render: (ui: ReactElement, options?: Omit<RenderOptions, 'wrapper'>) => RenderResult<typeof queries>;
export * from '@testing-library/react';
//# sourceMappingURL=core.d.ts.map